/* Distributed under the Apache License, Version 2.0.
   See accompanying NOTICE file for details.*/

// This file is autogenerated

#include "controls/QPulse.h"
#include <iomanip>

namespace
{
  std::string dateTimeCode(std::string date, std::string time)
  {
      char buffer[80];
      time_t rawtime;
      struct tm* timeinfo;

      std::time(&rawtime);
      timeinfo = localtime(&rawtime);

      strftime(buffer, 80, "%c", timeinfo);
      return std::string(buffer);
  }
}

std::string PulseExplorerBuildInformation::Time()
{
  return dateTimeCode(__DATE__, __TIME__);
}

std::string PulseExplorerBuildInformation::Hash()
{
  return "@export_git_hash@";
}

std::string PulseExplorerBuildInformation::Version()
{
  return "@PROJECT_VERSION@";
}
